PostgreSQL 7.1.3 Documentation
Prev |  | Next

# get_defport

## Name

get_defport -- get default port [DV]

## Synopsis

    get_defport()

### Parameters

none

### Return Type

integer or None

  Default port specification

### Exceptions

SyntaxError

  Too many arguments.

## Description

`get_defport()` returns the current default port specification, or None if the environment variables should be used. Environment variables will not be looked up.

Prev | Home | Next
set_defhost | Up | set_defport